Get
curl --request GET \
--url https://api.ngrok.com/vaults/{id} \
--header 'Authorization: Bearer <token>' \
--header 'ngrok-version: <ngrok-version>'import requests
url = "https://api.ngrok.com/vaults/{id}"
headers = {
"ngrok-version": "<ngrok-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'ngrok-version': '<ngrok-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.ngrok.com/vaults/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"uri": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"name": "<string>",
"description": "<string>",
"metadata": "<string>",
"created_by": "<string>",
"last_updated_by": "<string>"
}Vaults
Get
Get a Vault by ID
GET
/
vaults
/
{id}
Get
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
a resource identifier
Response
200 - application/json
Get a Vault by ID
identifier for Vault
URI of this Vault API resource
Timestamp when the Vault was created (RFC 3339 format)
Timestamp when the Vault was last updated (RFC 3339 format)
Name of vault
description of Vault
Arbitrary user-defined metadata for this Vault
Reference to who created this Vault
Reference to who created this Vault
Was this page helpful?
⌘I